## GtkSpinner GtkSpinner — Show a spinner animation |

## Functions

GtkWidget * | gtk_spinner_new ()
void | gtk_spinner_start ()
void | gtk_spinner_stop ()

## Properties

gboolean | active | Read / Write

## Style Properties

guint | cycle-duration | Read
guint | num-steps | Read

## Types and Values

struct | GtkSpinner

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkDrawingArea
                        ╰── GtkSpinner

## Implemented Interfaces

GtkSpinner implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkSpinner widget displays an icon-size spinning animation. It is often used as an alternative to a GtkProgressBar for displaying indefinite activity, instead of actual progress.

To start the animation, use `gtk_spinner_start()`, to stop it use `gtk_spinner_stop()`.

## Functions

### gtk_spinner_new ()

    GtkWidget *
    gtk_spinner_new (void);

Returns a new spinner widget. Not yet started.

#### Returns

a new GtkSpinner

Since: 2.20

### gtk_spinner_start ()

    void
    gtk_spinner_start (GtkSpinner *spinner);

Starts the animation of the spinner.

#### Parameters

spinner | a GtkSpinner |

Since: 2.20

### gtk_spinner_stop ()

    void
    gtk_spinner_stop (GtkSpinner *spinner);

Stops the animation of the spinner.

#### Parameters

spinner | a GtkSpinner |

Since: 2.20

## Types and Values

### struct GtkSpinner

    struct GtkSpinner;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether the spinner is active.

Flags: Read / Write

Default value: FALSE

## Style Property Details

### The `“cycle-duration”` style property

      “cycle-duration”           guint

The duration in milliseconds for the spinner to complete a full cycle.

Flags: Read

Allowed values: >= 500

Default value: 1000

Since: 2.20

### The `“num-steps”` style property

      “num-steps”                guint

The number of steps for the spinner to complete a full loop. The animation will complete a full cycle in one second by default (see the “cycle-duration” style property).

Flags: Read

Allowed values: >= 1

Default value: 12

Since: 2.20

## See Also

GtkCellRendererSpinner, GtkProgressBar